@(
:: Dos9 global initialization script
:: copyright (c) 2010-2016 Romain GARBI
::
:: This is free software. You can redistribute it and/or modify under the terms
:: of the GNU General Public Licence V3
::
:: Note : This code is usually wrapped in a @() block to make it quiet and
:: quick Nevertheless, you can still make it verbose using the ECHO command
::
:: This file is not intended for direct modification. Do not modify it unless 
:: you *really* pay attention to and know *exactly* what you are doing. Files
:: intended for customisation should be :
::		- /etc/Dos9_Auto.bat or $HOME/.dos9/Dos9_Auto.bat
::		- %APPDATA%/Dos9_Auto.bat   
SETLOCAL EnableDelayedExpansion

IF %DOS9_OS%==WINDOWS (

	:: set special dos9 directories for commands
	SET PATH=!DOS9_PATH!/cmd;!DOS9_PATH!;!PATH!

) else (

	:: well this is an unix system. Use the unix conventions
	:: to expand the path and provide a little compatibility 
	:: over windows.
	SET PATH=!PATH!:!DOS9_PATH!/cmd:!DOS9_PATH!
	
	:: set windows compatible variable
	SET SYSTEMROOT=/bin
	SET PROGRAMFILES=/bin
	SET SYSTEMDRIVE=/usr
	SET "USERPROFILE=%HOME%" 

)

:: Define additionnal paths for the sub-programs
SET DOS9_SHARE=/usr/share
SET DOS9_ETC=/usr/etc

IF exist !DOS9_ETC!/Dos9_Auto.bat CALL !DOS9_ETC!/Dos9_Auto.bat
IF exist !USERPROFILE!/.dos9/Dos9_Auto.bat CALL !USERPROFILE!/.dos9/Dos9_Auto.bat

:: At this state, dos9 will reset neither options or variables that have
:: been set, so that, it might be something good to reset them by yourself.
:: The following line is used to disable delayed expansion. Uncomment if
:: you want to disable delayed expansion by default.
:: 
:: SETLOCAL DisableDelayedExpansion
)
